System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IEnumerator

The class is implemented by a .NET Framework data provider to provide data binding support.

By design, the object is intended for use with only one resultset. For example, if you execute a batch statement containing two SQL SELECT statements that return different schemas, the second statement might not retun the entire schema. To avoid this situation, obtain a for each resultset, and then call the NextResult method of a .NET Framework data provider DataReader object.

Exposes the method, which supports a simple iteration over a collection by a .NET Framework data provider.

- Constructor
  To be added

  Initializes a new instance of the class using the specified DataReader.

  The DataReader through which to iterate.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class using the specified DataReader, and indicates whether to automatically close the DataReader after iterating through its data.

  The DataReader through which to iterate.
  true to automatically close the DataReader after iterating through its data; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  After an enumerator is created or after a , must be called to advance the enumerator to the first element of the collection before reading the value of ; otherwise, is undefined. also throws an exception if the last call to returned false, which indicates the end of the collection. does not move the position of the enumerator and consecutive calls to return the same object until either or is called. An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying or deleting elements, the enumerator is irrecoverably invalidated and the next call to or generates an . If the collection is modified between and , returns the element to which it is set, even if the enumerator is already invalidated.

  Gets the current element in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  After an enumerator is created or after a call to , an enumerator is positioned before the first element of the collection, and the first call to moves the enumerator over the first element of the collection. After the end of the collection is passed, subsequent calls to return false until is called. An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying or deleting elements, the enumerator is irrecoverably invalidated and the next call to or throws an .

  Advances the enumerator to the next element of the collection.

  true if the enumerator was successfully advanced to the next element; false if the enumerator has passed the end of the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying or deleting elements, the enumerator is irrecoverably invalidated and the next call to or throws an .

  Sets the enumerator to its initial position, which is before the first element in the collection.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)